#!/bin/sh -e
# ==============================================================================
# portsreinstall library script
# Overlay onto lib/liboptions.sh for portsreinstall-chroot-mount
# - Command line options -
# Copyright (C) 2018-2022 Mamoru Sakaue, MwGhennndo, All Rights Reserved.
# This software is distributed under the 2-Clause BSD License.
# ==============================================================================

# ============= Database of options which are given at each run and not saved =============
# [Syntax of option databases]
# short_name, long_name, variable, default_value, set_value
# Columns are delimited by tab characters.
options_db_onetime ()
{
	cat << eof
h	help	opt_help_mode	0	1
h	short-help	opt_help_mode	0	1
V	show-version	opt_show_version	no	yes
a	batch-mode	opt_batch_mode	no	yes
f	forcible-operation	opt_forcible_operation	no	yes
J	just-save-options	opt_just_save_options	no	yes
S	no-opening-message	opt_no_opening_message	no	yes
eof
}

# ============= Regularize the option value =============
options_regularize ()
{
	opt_packages_dir=`fs_global_path "$opt_packages_dir"`
	opt_invalidate_mount_privilege=no
}
